gtkmm: Gtk::PrintSetup Class Reference

gtkmm 4.16.0

Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Gtk::PrintSetup Class Referencefinal
Printing

An auxiliary object for printing that allows decoupling the setup from the printing. More...

`#include <gtkmm/printsetup.h>`

## Public Member Functions
void | reference () const
| Increment the reference count for this object.
void | unreference () const
| Decrement the reference count for this object.
GtkPrintSetup * | gobj ()
| Provides access to the underlying C instance.
const GtkPrintSetup * | gobj () const
| Provides access to the underlying C instance.
GtkPrintSetup * | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
| PrintSetup ()=delete
| PrintSetup (const PrintSetup &)=delete
PrintSetup & | operator= (const PrintSetup &)=delete
Glib::RefPtr< PrintSettings > | get_print_settings ()
| Returns the print settings of setup.
Glib::RefPtr< const PrintSettings > | get_print_settings () const
| Returns the print settings of setup.
Glib::RefPtr< PageSetup > | get_page_setup ()
| Returns the page setup of setup.
Glib::RefPtr< const PageSetup > | get_page_setup () const
| Returns the page setup of setup.

## Protected Member Functions
void | operator delete (void *, std::size_t)

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gtk::PrintSetup > | wrap (GtkPrintSetup * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

An auxiliary object for printing that allows decoupling the setup from the printing.

A print setup is obtained by calling Gtk::PrintDialog::setup_finish(), and can later be passed to print functions such as Gtk::PrintDialog::print().

Print setups can be reused for multiple print calls.

Applications may wish to store the page_setup and print_settings from the print setup and copy them to the PrintDialog if they want to keep using them.

Since gtkmm 4.14

## Constructor & Destructor Documentation

## ◆ PrintSetup() [1/2]

Gtk::PrintSetup::PrintSetup | ( |  | ) |
| delete

## ◆ PrintSetup() [2/2]

Gtk::PrintSetup::PrintSetup | ( | const PrintSetup & |  | ) |
| delete

## Member Function Documentation

## ◆ get_page_setup() [1/2]

Glib::RefPtr< PageSetup > Gtk::PrintSetup::get_page_setup | ( |  | ) |

Returns the page setup of setup.

It may be different from the `Gtk::PrintDialog`'s page setup if the user changed it during the setup process.

Since gtkmm 4.14

Returns
  The page setup, or `nullptr`.

## ◆ get_page_setup() [2/2]

Glib::RefPtr< const PageSetup > Gtk::PrintSetup::get_page_setup | ( |  | ) | const

Returns the page setup of setup.

It may be different from the `Gtk::PrintDialog`'s page setup if the user changed it during the setup process.

Since gtkmm 4.14

Returns
  The page setup, or `nullptr`.

## ◆ get_print_settings() [1/2]

Glib::RefPtr< PrintSettings > Gtk::PrintSetup::get_print_settings | ( |  | ) |

Returns the print settings of setup.

They may be different from the `Gtk::PrintDialog`'s settings if the user changed them during the setup process.

Since gtkmm 4.14

Returns
  The print settings, or `nullptr`.

## ◆ get_print_settings() [2/2]

Glib::RefPtr< const PrintSettings > Gtk::PrintSetup::get_print_settings | ( |  | ) | const

Returns the print settings of setup.

They may be different from the `Gtk::PrintDialog`'s settings if the user changed them during the setup process.

Since gtkmm 4.14

Returns
  The print settings, or `nullptr`.

## ◆ gobj() [1/2]

GtkPrintSetup * Gtk::PrintSetup::gobj | ( |  | ) |

Provides access to the underlying C instance.

## ◆ gobj() [2/2]

const GtkPrintSetup * Gtk::PrintSetup::gobj | ( |  | ) | const

Provides access to the underlying C instance.

## ◆ gobj_copy()

GtkPrintSetup * Gtk::PrintSetup::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator delete()

void Gtk::PrintSetup::operator delete | ( | void * | ,
|  | std::size_t | )
| protected

## ◆ operator=()

PrintSetup & Gtk::PrintSetup::operator= | ( | const PrintSetup & |  | ) |
| delete

## ◆ reference()

void Gtk::PrintSetup::reference | ( |  | ) | const

Increment the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## ◆ unreference()

void Gtk::PrintSetup::unreference | ( |  | ) | const

Decrement the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::PrintSetup > wrap | ( | GtkPrintSetup * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.